View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000384OpenFOAM[All Projects] Bugpublic2012-01-10 00:322012-01-30 17:05
ReporterDonRobinson 
Assigned Toandy 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionno change required 
PlatformOracle VM VirtualBox on XP3 HostOSUbuntuOS Version11.10
Product Version2.1.x 
Target VersionFixed in Version2.1.x 
Summary0000384: parafoam not fully functional on VM guest?
Description
On test of /tutorials/incompressible/icoFoam/cavity case, paraFoam complains: "Failed to connect to host. Make sure 3D acceleration is enabled for this VM." blockMesh and icoFoam seem fine.

On further study, 3D acceleration is apparently not available through the VM configuration pane; and this feature is listed (VirtualBox Help Section 14.1) as "experimental" for Windows, Linus and Solaris guests.

Should I conclude that paraview/paraFoam are not fully functional for VM guests?
TagsInstallation
Attached Files

- Relationships

-  Notes
(0000914)
DonRobinson (reporter)
2012-01-10 00:38

OpenFOAM 2.1.0
paraView 3.12.0 - 32 bit
Oracle VBox - 4.1.8r75467
(0000921)
wyldckat (reporter)
2012-01-15 15:12

I tested now in a Windows 7 x64 machine with the same version of VirtualBox, along with Ubuntu 11.10 i686 in the VM and the .deb packages for OpenFOAM 2.1.0 provided at openfoam.org and I haven't been able to reproduce this problem. And I have both 2D and 3D acceleration disabled in the VM's settings!

Did you install every package/driver that VirtualBox asks to be installed on Windows?
And on Ubuntu, did you install or update anything specific other than OpenFOAM and ParaView?
(0000928)
DonRobinson (reporter)
2012-01-16 19:29

Thanks for testing this. I accepted all the Ubuntu updates that were offered after setting up the VM and installed only openFOAM and ParaView.

I will uninstall/reinstall VirtualBox, since it is possible that I missed some option on installation. I can also test to see if the issue exists before system updates. Apart from that, my host system is XP SP3 and so that is a possible difference.

Do you think it is likely that the issue could relate to my physical video card? I just ran an OpenGL test (http://www.realtech-vr.com/glview/ [^]) on my system and it appears to be 100% compatible up to Version 3.3.

ParaView "sort of" works; which is to say that some graphics are visible and some manipulation is possible, but vector fields are not drawn...
(0000929)
DonRobinson (reporter)
2012-01-16 20:52
edited on: 2012-01-17 00:24

Checking with the VirtualBox forums (https://forums.virtualbox.org/viewtopic.php?f=1&t=46808&p=212455&hilit=OpenGL#p212455 [^]); there is apparently a bug with 3D acceleration on 32-bit Windows OS hosts for VirtualBox 4.1.8. The current resolution is to downgrade to 4.1.6.

(0000930)
wyldckat (reporter)
2012-01-16 20:57

Nice catch! And have you confirmed that it works with VirtualBox 4.1.6?
(0000932)
DonRobinson (reporter)
2012-01-17 00:22
edited on: 2012-01-17 00:28

I uninstalled VirtualBox 4.1.8; installed 4.1.6; reverted the Ubuntu Guest addition to the same 4.1.6 level; shut down the guest; set the VirtualBox > Display > 3D checkbox and restarted. Everything is working fine now!

Until VirtualBox is patched, I recommend that this page: http://www.openfoam.com/resources/windows.php [^] be edited to direct users to the 4.1.6 installation page, rather than the default 4.1.8

Case can be closed.

(0000980)
andy (manager)
2012-01-30 17:05

Thanks for (both of your) comments

- Issue History
Date Modified Username Field Change
2012-01-10 00:32 DonRobinson New Issue
2012-01-10 00:38 DonRobinson Note Added: 0000914
2012-01-15 15:12 wyldckat Note Added: 0000921
2012-01-16 19:29 DonRobinson Note Added: 0000928
2012-01-16 20:52 DonRobinson Note Added: 0000929
2012-01-16 20:54 DonRobinson Note Edited: 0000929 View Revisions
2012-01-16 20:57 wyldckat Note Added: 0000930
2012-01-17 00:22 DonRobinson Note Added: 0000932
2012-01-17 00:23 DonRobinson Note Edited: 0000932 View Revisions
2012-01-17 00:24 DonRobinson Note Edited: 0000929 View Revisions
2012-01-17 00:28 DonRobinson Note Edited: 0000932 View Revisions
2012-01-17 00:28 DonRobinson Note Edited: 0000932 View Revisions
2012-01-21 06:40 DonRobinson Tag Attached: Installation
2012-01-30 17:05 andy Note Added: 0000980
2012-01-30 17:05 andy Status new => resolved
2012-01-30 17:05 andy Fixed in Version => 2.1.x
2012-01-30 17:05 andy Resolution open => no change required
2012-01-30 17:05 andy Assigned To => andy